package models

import (
	// "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgTeamUser struct {
	models.Model

	ClubId  string `json:"clubId" gorm:"type:int(20);comment:org_club表id"`
	TeamId  string `json:"teamId" gorm:"type:int(20);comment:org_team表id"`
	UserId  string `json:"userId" gorm:"type:int(20);comment:sys_user表id"`
	Name    string `json:"name" gorm:"type:varchar(120);comment:姓名"`
	NameEn  string `json:"nameEn" gorm:"type:varchar(120);comment:姓名"`
	Sex     string `json:"sex" gorm:"type:varchar(120);comment:性别"`
	UserImg string `json:"userImg" gorm:"type:varchar(255);comment:用户照片"`
	SignImg string `json:"signImg" gorm:"type:varchar(255);comment:签名照片"`
	models.ModelTime
	models.ControlBy
}

func (OrgTeamUser) TableName() string {
	return "org_team_user"
}

func (e *OrgTeamUser) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgTeamUser) GetId() interface{} {
	return e.Id
}
